# ArrayList.h File Reference

Provide an array based list container. More...

`#include <assert.h>`

## Namespaces

namespace | BasicDataStructures

## Variables

static const unsigned long | MAX_UNSIGNED_LONG = 4294967295U

## Detailed Description

Provide an array based list container.

An Array list container provide an o(1) access to its elements. It's quite similar to the std::vector features.

## Variable Documentation

const unsigned long MAX_UNSIGNED_LONG = 4294967295U`[static]`

Define the max unsigned long value available

Todo:
  Take this value from limits.h.